Module
Inhoud
Index 🔎︎

# Function-instructie

Definieert een subprocedure die kan worden gebruikt als een uitdrukking om een teruggegeven waarde-type te bepalen.

## Syntaxis

zie Parameter

## Parameters:

Syntaxis

Function Naam[(VarNaam1 [As Type][, VarNaam2 [As Type][,...]]]) [As Type]

instructieblok

[Exit Function]

instructieblok

Einde Functie

Parameter

Naam: Naam van de subprocedure die de waarde bevat die door de functie wordt teruggegeven.

VarName: Parameter die meegegeven moet worden aan de subprocedure.

Type: Type-declaratie-sleutelwoord.

## Voorbeeld:

    Sub ExampleExit

    Dim sReturn As String

    Dim sListArray(10) As String

    Dim siStep As Single

        For siStap = 0 To 10 ' Array vullen met testgegevens

            sListArray(siStep) = chr$(siStep + 65)

            MsgBox sListArray(siStep)

        Next siStep

        sReturn = LinSearch(sListArray(), "B")

        Print sReturn

    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer

    Dim iCount As Integer

    ' LijstZoek zoekt in een TekstArray:sLijst() naar een TekstItem:

    ' Teruggegeven waarde is de index van het item, of 0 (Nul)

        For iCount=1 To Ubound( sList() )

            If sList( iCount ) = sItem Then

                Exit For ' sItem gevonden

            End If

        Next iCount

        If iCount = Ubound( sList() ) Then iCount = 0

        LinSearch = iCount

    End Function